
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_sel_datosAplicacionTemparioXEquipo]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[a_sel_datosAplicacionTemparioXEquipo]

GO

CREATE procedure [dbo].[a_sel_datosAplicacionTemparioXEquipo]
	@p_eid as varchar(100) = '',
	@p_id_equipo int
	
as
begin
	
	select DISTINCT TRZ.horometro
	, TRZ.fecha_ff
	, TRZ.id_documento
	, TMP.periodoHoras
	, DT.[id_catalogo.tempario]
	from equ_trazabilidad TRZ
	    inner join doc_documento DOC on DOC.id = TRZ.id_documento
	    inner join [doc_documento_catalogo.tempario] DT on DT.id_documento=DOC.id
	    inner join [cat_catalogo.tempario] TMP on TMP.id = DT.[id_catalogo.tempario]
	    inner join doc_estadotipodocumento EST on EST.id=DOC.id_estadotipodocumento 
	where TRZ.active=1
	    and DT.active=1
	    and TRZ.id_equipo=@p_id_equipo
	    and TRZ.eid like @p_eid + '%'
	order by TRZ.fecha_ff 
	
end
GO

